Main Page Widgets Namespaces Book

# Gtk::CellRendererPixbuf Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererPixbuf:

[legend]
List of all members.

## Public Methods

virtual | ~CellRendererPixbuf ()
GtkCellRendererPixbuf* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellRendererPixbuf* | gobj () const
| Provides access to the underlying C GtkObject.
| CellRendererPixbuf ()
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_pixbuf ()
virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererPixbuf* | wrap (GtkCellRendererPixbuf* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererPixbuf::~CellRendererPixbuf | ( |  | ) | `[virtual]`

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

## Member Function Documentation

virtual Glib::PropertyProxy_Base Gtk::CellRendererPixbuf::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRenderer.

const GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer.

GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRenderer.

Glib::PropertyProxy<Glib::RefPtr<Gdk::Pixbuf>> Gtk::CellRendererPixbuf::property_pixbuf | ( |  | ) |

## Friends And Related Function Documentation

Gtk::CellRendererPixbuf* wrap | ( | GtkCellRendererPixbuf* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- cellrendererpixbuf.h